#
# spec file for package kmail
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           kmail
Version:        17.04.2
Release:        1.7
%define kf5_version 5.32.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
Summary:        Mail Client
License:        GPL-2.0
Group:          Productivity/Networking/Email/Clients
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig
BuildRequires:  python-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5AkonadiContact)
BuildRequires:  cmake(KF5AkonadiMime)
BuildRequires:  cmake(KF5AkonadiSearch)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5CalendarCore)
BuildRequires:  cmake(KF5CalendarUtils)
BuildRequires:  cmake(KF5Codecs)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Contacts)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5FollowupReminder)
BuildRequires:  cmake(KF5Gravatar)
BuildRequires:  cmake(KF5GuiAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IdentityManagement)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5JobWidgets)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5KdepimDBusInterfaces)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(KF5Ldap)
BuildRequires:  cmake(KF5LibKSieve)
BuildRequires:  cmake(KF5Libkdepim)
BuildRequires:  cmake(KF5Libkleo)
BuildRequires:  cmake(KF5MailCommon)
BuildRequires:  cmake(KF5MailTransport)
BuildRequires:  cmake(KF5MessageComposer)
BuildRequires:  cmake(KF5MessageCore)
BuildRequires:  cmake(KF5MessageList)
BuildRequires:  cmake(KF5MessageViewer)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5NotifyConfig)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5PimCommon)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5SendLater)
BuildRequires:  cmake(KF5Service)
BuildRequires:  cmake(KF5Sonnet)
BuildRequires:  cmake(KF5SyntaxHighlighting)
BuildRequires:  cmake(KF5TemplateParser)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(KF5Tnef)
BuildRequires:  cmake(KF5WebEngineViewer)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Network) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Qml) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Quick) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.2.0
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.2.0
Requires:       %{name}-application-icons
Requires:       kdepim-addons
Requires:       kdepim-runtime
Requires:       kmail-account-wizard
Recommends:     akonadi-import-wizard
Recommends:     kleopatra
Recommends:     mbox-importer
Recommends:     pim-data-exporter
Recommends:     pim-sieve-editor
Recommends:     ktnef
Provides:       kmail5 = %{version}
Obsoletes:      kmail5 < %{version}
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libgpgmepp-devel
BuildRequires:  libqgpgme-devel

%description
KMail is the KDE mail client.

%package application-icons
Summary:        mail client icon
Group:          Productivity/Networking/Email/Clients

%description application-icons
The KMail application icon that is shared with a number of applications

%package -n ktnef
Summary:        Viewer for email attachments in TNEF format
Group:          Productivity/Networking/Email/Clients
Requires:       kdepim-runtime
Obsoletes:      ktnef5 < %{version}
Provides:       ktnef5 = %{version}

%description -n ktnef
KTNEF is a viewer for email attachments in the TNEF format.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q

%build
%cmake_kf5 -d build
%make_jobs

%install
%kf5_makeinstall -C build
%if %{with lang}
  %find_lang %{name} --with-man --all-name
  %kf5_find_htmldocs
%endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n ktnef
%defattr(-,root,root)
%doc %lang(en) %{_kf5_htmldir}/en/ktnef/
%config %{_kf5_configdir}/ktnef.categories
%{_kf5_applicationsdir}/org.kde.ktnef.desktop
%{_kf5_bindir}/ktnef
%{_kf5_iconsdir}/*/*/*/ktnef*.png

%files
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC
%dir %{_kf5_appstreamdir}/
%{_kf5_sharedir}/kmail2/
%{_kf5_servicetypesdir}/dbusmail.desktop
%{_kf5_servicesdir}/kmail_*.desktop
%{_kf5_bindir}/kmail*
%{_kf5_applicationsdir}/org.kde.kmail.desktop
%{_kf5_applicationsdir}/kmail_view.desktop
%{_kf5_configkcfgdir}/kmail.kcfg
%{_kf5_dbusinterfacesdir}/org.kde.kmail.*.xml
%{_kf5_htmldir}/en/kmail2/
%{_kf5_plugindir}/kmailpart.so
%{_kf5_servicesdir}/ServiceMenus/
%{_kf5_appstreamdir}/org.kde.kmail.appdata.xml
%config %{_kf5_configdir}/kmail.categories
%config %{_kf5_configdir}/kmail.renamecategories
%{_bindir}/akonadi_archivemail_agent
%{_bindir}/akonadi_followupreminder_agent
%{_bindir}/akonadi_mailfilter_agent
%{_bindir}/akonadi_sendlater_agent
%{_libdir}/libkmailprivate.so.*
%{_kf5_plugindir}/kcm_kmail.so
%{_kf5_plugindir}/kcm_kmailsummary.so
%{_kf5_plugindir}/kcm_kontactsummary.so
%{_kf5_plugindir}/kcm_kpimidentities.so
%{_kf5_plugindir}/kontact_kmailplugin.so
%{_kf5_plugindir}/kontact_summaryplugin.so
%{_datadir}/akonadi/agents/
%{_kf5_configkcfgdir}/archivemailagentsettings.kcfg
%{_kf5_htmldir}/en/akonadi_archivemail_agent/
%{_kf5_htmldir}/en/akonadi_followupreminder_agent/
%{_kf5_htmldir}/en/akonadi_sendlater_agent/
%{_datadir}/kconf_update/
%{_kf5_notifydir}/akonadi_*_agent.notifyrc
%{_kf5_notifydir}/kmail2.notifyrc
%{_datadir}/kontact/
%{_kf5_servicesdir}/kcm_kpimidentities.desktop
%{_kf5_servicesdir}/kcmkmailsummary.desktop
%{_kf5_servicesdir}/kcmkontactsummary.desktop
%{_kf5_servicesdir}/kontact/
%{_kf5_kxmlguidir}/kmail2/
%{_kf5_kxmlguidir}/kontactsummary/
%{_datadir}/messageviewer/

%files application-icons
%defattr(-,root,root)
%doc COPYING COPYING.LIB COPYING.DOC
%dir %{_kf5_iconsdir}/hicolor/16x16/emblems
%dir %{_kf5_iconsdir}/hicolor/22x22/emblems
%dir %{_kf5_iconsdir}/hicolor/8x8
%dir %{_kf5_iconsdir}/hicolor/8x8/emblems
%{_kf5_iconsdir}/hicolor/*/apps/kmail.png
%{_kf5_iconsdir}/hicolor/*/emblems/gpg-key-trust-level*.svg
%{_kf5_iconsdir}/hicolor/scalable/apps/kmail.svgz

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Make sure that we use plugin when we use sendlater feature
  * Remove old option
  * Add missing helper_p include
  * Fix list when we have empty string
  * Fix create list of emails
  * Fix typo
  * Rename methods
- Dropped upstreamed patches:
  * 0001-Add-missing-helper_p-include.patch
* Fri May 19 2017 lbeltrame@kde.org
- Add 0001-Add-missing-helper_p-include.patch: upstream patch
  to fix building with Qt 5.6
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Use a mCurrentCollection variable as discussed with david.
  * Clean stylesheet when we select a valid folder
  * Allow to add more file after --attach
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * SearchDialog: improve performance by caching collection full paths.
  * Use QFileInfo::exists(...) static method
  * Migrate some files
  * Use QByteArrayLiteral here
  * Don't allow to edit collection name in this dialogbox
  * USe new signal from indexing agent
  * Minor optimization. If collection id is not remove we don't need to call
  * Use nullptr
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Minor optimization
  * It was an error to hide maximumattachmentsize feature
  * Minor optimization
  * Fix includes/Minor optimization
* Sat Apr  8 2017 wbauer@tmo.at
- Unconditionally build with libgpgmepp-devel/libqgpgme-devel,
  gpgmepp5 is no longer supported
* Fri Apr  7 2017 fabian@ritter-vogt.de
- Remove unnecessary ldconfig calls for ktnef
* Sun Mar 26 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
  * Too many changes to list here
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * Use isEmpty() directly
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Sat Dec 24 2016 wbauer@tmo.at
- Recommend akonadi-import-wizard (instead of
  akonadi-import-wizards), that's how the package is called
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Sun Nov 27 2016 tittiatcoke@gmail.com
- Update spec-files to be consistent wiht KA
